<?php

namespace Drupal\ckeditor_advanced_tab\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "Advanced Tab" plugin.
 *
 * @CKEditorPlugin(
 *   id = "dialogadvtab",
 *   label = @Translation("Advanced Tab Dialog")
 * )
 */
class CKEditorAdvancedTab extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {

    $path = 'libraries/ckeditor/plugins/dialogadvtab/plugin.js';

    if (file_exists($path)) {
      return 'libraries/ckeditor/plugins/dialogadvtab/plugin.js';
    }
    else {
      drupal_set_message(t("The plugin.js file can't be found in libraries/ckeditor/plugins/dialogadvtab. Please check README for installation."), 'error');
    }

  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    $path = drupal_get_path('module', 'ckeditor_advanced_tab') . '/icons';
    return [
      'AdvancedTab' => [
        'label' => t('Advanced Tab'),
        'image' => $path . '/link.png',
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

}
